@echo off
if "%xxp%"=="" goto Demo
if "%getkey%"=="V" goto Video
if "%getkey%"=="C" goto Config
if "%getkey%"=="D" goto Demo
goto End

:Config
install
if not exist c:\sierra\democd\pq4demo.cfg goto End

:Demo
if not exist c:\sierra\democd\pq4demo.cfg goto Config
sierra c:\sierra\democd\pq4demo.cfg
goto End

:Video
call vidwin
if "%xxw%"=="" goto End
if not exist %xxw%\system\msvideo.dll goto End
if not exist %xxw%\mplayer.reg goto End
%xxw%\win pq4.avi

:End
